PHP logo

Opdatér din PHP-version og gør dit site hurtigere

Oplever du, at dit WordPress-site er langsomt – også selvom du har gjort alt, hvad der står i din digitale magt til at hastighedsoptimere dit website? Så kan det være, at din PHP-version er forældet.

Tjek din PHP-version nemt og hurtigt

Der findes mange guides på nettet til at tjekke din PHP-version, men hvorfor gøre det sværere end det er, når det på WordPress kun kræver et plugin. Plugin’et hedder Display PHP Version og med det aktiveret, kan du se din PHP-version direkte i dit WordPress kontrolpanel.

Betydningen af PHP-versionen for dit site

Den nuværende version af PHP er 7.2, som blev frigivet 30. november 2017. Men mange websites kører stadig med PHP 5.6, der blev udgivet i efteråret 2014, eller endnu tidligere versioner.

En forældet PHP-version har mange ulemper. Du kan opleve fejl på dit site med temaer og plugins, simpelthen fordi temaet er optimeret til at tale sammen med en nyere version af PHP, end den du bruger. Det i sig selv gør dit site langsommere, for du skal se det som at tale med en bedsteforældre, der har brug for, at man taler lidt langsommere, så de kan forstå dig.

Der er også stor forskel på ydeevne mellem PHP 5.6 og 7 (version 6 blev sprunget over). Med PHP 7 er det muligt at udføre dobbelt så mange forespørgsler end 5.6, og derfor vil din loading tid være ca. 30 procent kortere – alene ved at opdatere til PHP 7. Ved at have den nyeste version af PHP er du samtidig også sikret de nyeste features, som WordPress, temaer og plugins kan tilbyde.

Så du skal se PHP som hele fundamentet for, hvad du ellers laver i WordPress. Hvis din PHP version er forældet og svag, så vakler hele det fundament, som dit arbejde er bygget på.

PHP-versioners levetid

En PHP-version har en levetid på ca. 2 år, og i den tid er supporten optimal, og der køres konstant fejlrettelser, der gør, at alt kører som det skal. Når versionens levetid er udløbet forsvinder supporten, og der udføres kun sikkerhedsopdateringer i det følgende år.

PHP har forlænget sin sikkerhedsopdatering af PHP 5.6 frem til 31. December 2018, men efter det er det slut. PHP 5.6 og de websites, der bruger det, vil blive ekstremt sårbare over for hackere. Derfor er det ikke kun dit sites hastighed men også dens sikkerhed, der bliver kompromitteret.

VersionerUdgivelseAktiv support indtilSikkert at bruge indtil
5.628. august 201419. januar 201731. december 2018
7.03. december 20153. december 20173. december 2018
7.11. december 20161. december 20181. december 2019
7.230. november 201730. november 201930. november 2020
7.36. december 20186. december 20206. december 2021

Opdatér din PHP version

En forældet PHP-version opdaterer desværre ikke sig selv, og det er heller ikke ligetil at gøre som almindelig bruger af WordPress. Desuden er der en kort indkøringsperiode fra en ny version er kommet og til alle temaer og plugins har opdateret systemet til at være kompatible med den nye version.

Så er det bedre, at du kontakter dit hosting-firma og får dem til at opdatere til den nyeste version af PHP. Skywalkr står altid klar til at hjælpe dig med opdatering af PHP, og det koster ikke ekstra. På den måde sikrer du at ændringen af PHP-versionen sker så enkelt og problemfrit som muligt.